<?php
/**
 * Add required and recommended plugins.
 *
 * @package bogaty-lite
 */

add_action( 'tgmpa_register', 'bogaty_lite_register_required_plugins' );
add_filter( 'ocdi/register_plugins', 'bogaty_lite_register_ocdi_plugins' );

function bogaty_lite_register_required_plugins() {
	tgmpa( bogaty_lite_required_plugins(), [
		'id'          => 'bogaty-lite',
		'has_notices' => true,
	] );
}

function bogaty_lite_register_ocdi_plugins( $plugins ) {
	return array_merge( $plugins, bogaty_lite_required_plugins() );
}

/**
 * List of required plugins
 */
function bogaty_lite_required_plugins() {
	return [
		[
			'name'     =>  'Jetpack',
			'slug'     => 'jetpack',
		],
		[
			'name' 	 	=>  'Slim SEO',
			'slug'  	=> 'slim-seo',
		],
		[
			'name'  	=>  'Falcon',
			'slug'  	=> 'falcon',
		],
		[
			'name'  	=>  'One Click Demo Import',
			'slug'  	=> 'one-click-demo-import',
		],
	];
}
